From e357b1299be2ef7a2949825af54572afc3e734eb Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Thu, 30 Mar 2023 15:04:48 -0400
Subject: [PATCH v1] Add multi-batch parallel full hash join test

---
 src/test/regress/expected/join_hash.out | 7 +++++++
 src/test/regress/sql/join_hash.sql      | 2 ++
 2 files changed, 9 insertions(+)

diff --git a/src/test/regress/expected/join_hash.out b/src/test/regress/expected/join_hash.out
index 027f3888b0..09376514bb 100644
--- a/src/test/regress/expected/join_hash.out
+++ b/src/test/regress/expected/join_hash.out
@@ -304,6 +304,13 @@ $$);
  t                    | f
 (1 row)
 
+-- parallel full multi-batch hash join
+select count(*) from simple r full outer join simple s using (id);
+ count 
+-------
+ 20000
+(1 row)
+
 rollback to settings;
 -- The "bad" case: during execution we need to increase number of
 -- batches; in this case we plan for 1 batch, and increase at least a
diff --git a/src/test/regress/sql/join_hash.sql b/src/test/regress/sql/join_hash.sql
index ba1b3e6e1b..179e94941c 100644
--- a/src/test/regress/sql/join_hash.sql
+++ b/src/test/regress/sql/join_hash.sql
@@ -187,6 +187,8 @@ select original > 1 as initially_multibatch, final > original as increased_batch
 $$
   select count(*) from simple r join simple s using (id);
 $$);
+-- parallel full multi-batch hash join
+select count(*) from simple r full outer join simple s using (id);
 rollback to settings;
 
 -- The "bad" case: during execution we need to increase number of
-- 
2.37.2

